org.labkey.remoteapi.collections

## Class CaseInsensitiveHashMap<V>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap<java.lang.String,V>
    - - org.labkey.remoteapi.collections.CaseInsensitiveHashMap<V>

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.String,V>

      public class CaseInsensitiveHashMap<V>
      extends java.util.HashMap<java.lang.String,V>

  User: dave Date: Aug 26, 2009 Time: 2:57:19 PM
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `java.util.Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CaseInsensitiveHashMap()`
    `CaseInsensitiveHashMap(int count)`
    `CaseInsensitiveHashMap(java.util.Map<java.lang.String,V> map)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `boolean` | `containsKey(java.lang.Object key)`
    `boolean` | `containsKey(java.lang.String key)`
    `V` | `get(java.lang.Object o)`
    `V` | `get(java.lang.String key)`
    `V` | `put(java.lang.String str, V o1)`
    `V` | `remove(java.lang.Object o)`
    `V` | `remove(java.lang.String key)`

    - ### Methods inherited from class java.util.HashMap

      `clone, compute, computeIfAbsent, computeIfPresent, containsValue, entrySet, forEach, getOrDefault, isEmpty, keySet, merge, putAll, putIfAbsent, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### CaseInsensitiveHashMap

          public CaseInsensitiveHashMap()

    - #### CaseInsensitiveHashMap

          public CaseInsensitiveHashMap(java.util.Map<java.lang.String,V> map)

    - #### CaseInsensitiveHashMap

          public CaseInsensitiveHashMap(int count)

  - ### Method Detail

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `java.util.Map<java.lang.String,V>`
      Overrides:
        `clear` in class `java.util.HashMap<java.lang.String,V>`

    - #### get

          public V get(java.lang.Object o)

      Specified by:
        `get` in interface `java.util.Map<java.lang.String,V>`
      Overrides:
        `get` in class `java.util.HashMap<java.lang.String,V>`

    - #### containsKey

          public boolean containsKey(java.lang.Object key)

      Specified by:
        `containsKey` in interface `java.util.Map<java.lang.String,V>`
      Overrides:
        `containsKey` in class `java.util.HashMap<java.lang.String,V>`

    - #### remove

          public V remove(java.lang.Object o)

      Specified by:
        `remove` in interface `java.util.Map<java.lang.String,V>`
      Overrides:
        `remove` in class `java.util.HashMap<java.lang.String,V>`

    - #### put

          public V put(java.lang.String str,
                       V o1)

      Specified by:
        `put` in interface `java.util.Map<java.lang.String,V>`
      Overrides:
        `put` in class `java.util.HashMap<java.lang.String,V>`

    - #### containsKey

          public boolean containsKey(java.lang.String key)

    - #### get

          public V get(java.lang.String key)

    - #### remove

          public V remove(java.lang.String key)